Page MenuHomePhabricator

[Design] How should book references appear when reused?
Closed, ResolvedPublic2 Estimated Story Points

Description

There is a small conflict case,

<ref name="a">book</ref>
<ref extends="a" name="b">page 2</ref>
<ref extends="a" name="c">page 3</ref>
<ref name="b" />
<ref name="c" />
<references />

For comparison, a similar snippet without book referencing will render as,

<ref name="a">book</ref>
<ref name="b">page 2</ref>
<ref name="c">page 3</ref>
<ref name="b" />
<ref name="c" />
<references />

The references section backlinks for reuse footnotes are wrong, and need design discussion. They should probably be "1.1.1" and "1.1.2" ?

We also need to consider how alternative backlink symbols are rendered, although this is probably correct with default behavior.

Event Timeline

awight created this task.Nov 27 2019, 12:27 PM
Restricted Application added a project: Design. · View Herald TranscriptNov 27 2019, 12:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Alternative backlinks are fine:

Oh hehe, off topic I just noticed that the third footnote is numbered "2.2" in article content, rather than "1.2". More fixing in sight!

We did this, which might be good enough for now:

I might totally ignore discussions that happened about this, that I am not aware of atm, but in the original mock for the spike there were letters used for the reused book references.

T228997: Spike: Bookreferencing implementation in cite extension

Is it specific per wiki whether they use numbers or letters?

awight added a comment.Dec 9 2019, 2:06 PM

Is it specific per wiki whether they use numbers or letters?

Good point: enwiki and dewiki have customized these backlinks to use letters, via this message:
https://en.wikipedia.org/wiki/MediaWiki:Cite_references_link_many_format

Here's a wiki where the backlinks are still using numbers, as can be seen from the override message:
https://et.wikipedia.org/wiki/MediaWiki:Cite_references_link_many_format
and how the reuses are rendered: https://et.wikipedia.org/wiki/Tartu_%C3%9Clikooli_kunstimuuseumi_muumiad#Viited

Yea, this is per-wiki configuration. For most wikis we get "a", "b", and so on. There is not much we need to do for these wikis. What we need to take care of is the behavior for wikis that don't have such a customization.

Left to do: Schedule a quick meeting with @Hanna_Petruschat_WMDE

awight set the point value for this task to 0.Dec 19 2019, 10:43 AM

Change 562501 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Cite@master] Reduce indentation margin for book references

https://gerrit.wikimedia.org/r/562501

Change 562501 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Reduce indentation margin for book references

https://gerrit.wikimedia.org/r/562501

WMDE-Fisch changed the point value for this task from 0 to 2.Jan 7 2020, 1:44 PM

During a brief review on the looks of the book references layout we agreed on reducing the indentation margin a bit. The patch for that got merged and the result can be demoed on beta now.

Please have a look an confirm/complain @Hanna_Petruschat_WMDE

https://en.wikipedia.beta.wmflabs.org/wiki/User:Fisch-WMDE/Cite

WMDE-Fisch closed this task as Resolved.Jan 7 2020, 5:16 PM
WMDE-Fisch claimed this task.
WMDE-Fisch moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-12-11 board.

Solution above approved in person at desk.